aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.scripts/audio_dl.sh2
-rwxr-xr-x.scripts/dl3
2 files changed, 4 insertions, 1 deletions
diff --git a/.scripts/audio_dl.sh b/.scripts/audio_dl.sh
index d757a95..bb41db6 100755
--- a/.scripts/audio_dl.sh
+++ b/.scripts/audio_dl.sh
@@ -5,7 +5,7 @@ LINES=$(cat $FILE)
counter=1
for line in $LINES; do
- dl "https://www.youtube.com/watch?v=$line" || echo "$line" >> "$FILE""_failed"
+ yt-dlp -x --audio-format mp3 "https://www.youtube.com/watch?v=$line" || echo "$line" >> "$FILE""_failed"
counter=$((counter+1))
tail -n "+$counter" "$FILE" > "$FILE""_remaining"
done
diff --git a/.scripts/dl b/.scripts/dl
new file mode 100755
index 0000000..8f4958f
--- /dev/null
+++ b/.scripts/dl
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+yt-dlp -x --audio-format mp3 "$@"